Bug 1752962 (CVE-2019-14439) - CVE-2019-14439 jackson-databind: Polymorphic typing issue related to logback/JNDI
Summary: CVE-2019-14439 jackson-databind: Polymorphic typing issue related to logback/...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-14439
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1760299 1762564 1762570 1762571 1762572 1752964 1762566 1762567 1762568 1762569
Blocks: 1752963
TreeView+ depends on / blocked
 
Reported: 2019-09-17 16:34 UTC by Pedro Sampaio
Modified: 2019-11-04 03:21 UTC (History)
112 users (show)

Fixed In Version: jackson-databind 2.9.10, jackson-databind 2.8.11.4, jackson-databind 2.7.9.6, jackson-databind 2.6.7.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-24 12:51:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3200 None None None 2019-10-24 09:18:25 UTC

Description Pedro Sampaio 2019-09-17 16:34:01 UTC
A Polymorphic Typing issue was discovered in FasterXML jackson-databind 2.x before 2.9.9.2. This occurs when Default Typing is enabled (either globally or for a specific property) for an externally exposed JSON endpoint and the service has the logback jar in the classpath.

Upstream issue:

https://github.com/FasterXML/jackson-databind/issues/2389

Upstream patch:

https://github.com/FasterXML/jackson-databind/commit/ad418eeb974e357f2797aef64aa0e3ffaaa6125b

References:

https://lists.apache.org/thread.html/940b4c3fef002461b89a050935337056d4a036a65ef68e0bbd4621ef@%3Cdev.struts.apache.org%3E

Comment 1 Pedro Sampaio 2019-09-17 16:37:13 UTC
Created jackson-databind tracking bugs for this issue:

Affects: fedora-all [bug 1752964]

Comment 5 Cedric Buissart 🐶 2019-09-23 10:11:45 UTC
Statement:

OpenDaylight provided as part of Red Hat OpenStack does not utilize logback when used in a supported configuration. Therefore, the prerequisites for this vulnerability are not present and OpenDaylight is not affected.

Satellite 6 does not enable polymorphic unmarshmalling, which is a required configuration for the vulnerability to be used. We may update the jackson-databind dependency in a future release.

Comment 10 errata-xmlrpc 2019-10-24 09:18:21 UTC
This issue has been addressed in the following products:

  Red Hat JBoss AMQ

Via RHSA-2019:3200 https://access.redhat.com/errata/RHSA-2019:3200

Comment 11 Product Security DevOps Team 2019-10-24 12:51:14 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-14439


Note You need to log in before you can comment on or make changes to this bug.